clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::ClangTidyOptionsProvider Class Referenceabstract

Abstract interface for retrieving various ClangTidy options. More...

`#include <ClangTidyOptions.h>`

Inheritance diagram for clang::tidy::ClangTidyOptionsProvider:
[legend]

## Public Member Functions
virtual | ~ClangTidyOptionsProvider ()
virtual const ClangTidyGlobalOptions & | getGlobalOptions ()=0
| Returns global options, which are independent of the file. More...
virtual ClangTidyOptions | getOptions (llvm::StringRef FileName)=0
| Returns options applying to a specific translation unit with the specified `FileName`. More...

## Detailed Description

Abstract interface for retrieving various ClangTidy options.

Definition at line 97 of file ClangTidyOptions.h.

## Constructor & Destructor Documentation

virtual clang::tidy::ClangTidyOptionsProvider::~ClangTidyOptionsProvider | ( |  | ) |
| inline virtual

Definition at line 99 of file ClangTidyOptions.h.

## Member Function Documentation

virtual const ClangTidyGlobalOptions& clang::tidy::ClangTidyOptionsProvider::getGlobalOptions | ( |  | ) |
| pure virtual

Returns global options, which are independent of the file.

Implemented in clang::tidy::DefaultOptionsProvider.

virtual ClangTidyOptions clang::tidy::ClangTidyOptionsProvider::getOptions | ( | llvm::StringRef | FileName | ) |
| pure virtual

Returns options applying to a specific translation unit with the specified `FileName`.

Implemented in clang::tidy::FileOptionsProvider, and clang::tidy::DefaultOptionsProvider.

The documentation for this class was generated from the following file:

- ClangTidyOptions.h